## munin 2.0.56

=== Makefile ===
# -*- makefile -*-
#
# Gnu make only.  Seriously.
#
# $Id$

# Defaults/paths. Allows $(CONFIG) to be overridden by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

include $(DEFAULTS)
ifneq ($(DEFAULTS),$(CONFIG))
    include $(CONFIG)
endif

ifeq ($(JCVALID),yes)
JAVA_BUILD=build-plugins-java
JAVA_INSTALL=install-plugins-java
JAVA_PLUGINS=plugins/node.d.java/*
endif

RELEASE          := $(shell $(CURDIR)/getversion)
INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
INSTALL          := ./install-sh
DIR              := $(shell /bin/pwd | sed 's/^.*\///')
INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
PLUGINS          := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/* $(JAVA_PLUGINS))
MANCENTER        := "Munin Documentation"
MAN8             := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph node/_bin/munin-get
PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf
PYTHON_LINT_CALL ?= python3 -m flake8
CONFVAR_SUBSTITUTION_FILES = \
	master/blib/libdoc/Munin\:\:Master\:\:HTMLOld.3pm \
	master/blib/lib/Munin/Master/HTMLOld.pm \
	node/blib/sbin/munin-node-configure \
	node/blib/sbin/munin-node \
	node/blib/sbin/munin-run \
	build/doc/munin-node.conf.5
MAKEFILES        := Makefile $(DEFAULTS) $(CONFIG)

# TODO: remove this fallback code for "make v3.x" (up to Debian Wheezy / Ubuntu Trusty) as soon as
#       the CI supports a more modern distribution
#       (see https://docs.travis-ci.com/user/reference/overview/)
# Make v3.x failed to handle colon escaping properly - thus we remove complicated filenames from
# targets and dependencies.  This may affect corner cases of dependency handling for the one file
# above containing a colon.  But in this case it is just about substituting paths in a
# documentation file - thus we can live with this rare risk of incorrectness.
ifeq ($(firstword $(subst ., ,$(MAKE_VERSION))),3)
# weed out all complicated filenames containing a colon
CONFVAR_SUBSTITUTION_DEP_FILES = $(shell printf '%s\n' $(CONFVAR_SUBSTITUTION_FILES) | grep -v ":")
else
CONFVAR_SUBSTITUTION_DEP_FILES = $(CONFVAR_SUBSTITUTION_FILES)
endif


.PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
	build build-common build-common-pre build-doc \
	substitute-build-defaults-inline substitute-confvar-inline \
	source_dist \
	test lint clean \
	clean-% test-% build-% install-% \
	tags \
	infiles

.SECONDARY: node/Build master/Build plugins/Build

.SUFFIXES: .java .class

# This HAS to be the 1st rule
default: build

.java.class:
	$(JC) -sourcepath plugins/javalib -d build/plugins/javalib $(JFLAGS) plugins/javalib/$(subst plugins/javalib/,,$*.java)

uninstall:
	echo "Uninstall is not implemented yet"

# This removes the installed config so that the next install-pass installs
# a new config.  Target _only_ suitable for maintainers.
unconfig:
	rm -f $(HTMLDIR)/.htaccess
	rm -f $(CONFDIR)/munin.conf

tags:
	-rm -f TAGS
	find master common -type f | egrep -v '/(build/|_build/|blib/|\.svn/)' | grep -v '\.t$$' | fgrep -v '~' | xargs etags -l perl -a

######################################################################

install: install-master-prime install-common-prime install-node-prime install-plugins-prime $(JAVA_INSTALL) install-man install-async-prime

install-pre: $(MAKEFILES)
	@$(CHECKUSER)
	mkdir -p $(LOGDIR)
	mkdir -p $(STATEDIR)
	mkdir -p $(SPOOLDIR)
	mkdir -p $(CONFDIR)
	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)

install-master-prime: $(INFILES_MASTER) install-pre install-master
	mkdir -p $(CONFDIR)/templates
	mkdir -p $(CONFDIR)/static
	mkdir -p $(CONFDIR)/templates/partial
	mkdir -p $(CONFDIR)/munin-conf.d
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PERLLIB)
	mkdir -p $(PERLLIB)/Munin/Master
	mkdir -p $(HTMLDIR)
	mkdir -p $(DBDIR)
	mkdir -p $(DBDIR)/cgi-tmp
	mkdir -p $(CGIDIR)

	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
	$(CHMOD) 0755 $(DBDIR)

	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
	$(CHMOD) 0755 $(DBDIR)/cgi-tmp

	for p in master/www/*.tmpl ;  do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
	done

	for p in master/static/* ; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/static/ ; \
	done

	for p in master/www/partial/*.tmpl; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
	done

	$(INSTALL) -m 0644 master/DejaVuSansMono.ttf $(LIBDIR)/
	$(INSTALL) -m 0644 master/DejaVuSans.ttf $(LIBDIR)/

	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/

	$(INSTALL) -m 0755 build/master/_bin/munin-cron $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-check $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-update $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-html $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-graph $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-limits $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-datafile2storable $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-storable2datafile $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html

install-node-plugins: install-plugins-prime

install-plugins-prime: install-plugins build $(PLUGINS) $(MAKEFILES)
	@$(CHECKGROUP)

	mkdir -p $(CONFDIR)/plugins
	mkdir -p $(CONFDIR)/plugin-conf.d
	mkdir -p $(LIBDIR)/plugins
	mkdir -p $(PLUGSTATE)

	$(CHOWN) root:root $(PLUGSTATE)
	$(CHMOD) 0755 $(PLUGSTATE)
	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d

	@# Process the OS specific plugins at the end. Otherwise they would be overridden by the
	@# generic ones.
	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done
	@# Some HP-UX plugins need *.adv support files in LIBDIR
	if [ "$(OSTYPE)" = "hp-ux" ]; then mv $(LIBDIR)/plugins/*.adv $(LIBDIR); fi
	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/

install-plugins-java: build-plugins-java
	mkdir -p $(JAVALIBDIR)
	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/
	mkdir -p $(LIBDIR)/plugins
	for p in build/plugins/node.d.java/*; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done

#TODO:
# configure plugins.  Or not. Better done under the direction of the installer
# or the packager.

install-async-prime: install-async

install-async:
	mkdir -p $(LIBDIR)
	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/

install-node-prime: install-node-pre install-node

install-node-pre: build/node/munin-node.conf install-pre
	test -f "$(CONFDIR)/munin-node.conf" || $(INSTALL) -m 0644 build/node/munin-node.conf $(CONFDIR)/


install-common-prime: build-common install-common


install-man: build-man $(MAKEFILES)
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man8
	$(INSTALL) -m 0644 build/doc/munin-node.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin-update.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-limits.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-graph.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-html.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-cron.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-check.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin.8 $(MANDIR)/man8/


install-doc: build-doc
	mkdir -p $(DOCDIR)/resources
	$(INSTALL) -m 0644 README $(DOCDIR)/
	$(INSTALL) -m 0644 COPYING $(DOCDIR)/
	$(INSTALL) -m 0644 build/resources/* $(DOCDIR)/resources

######################################################################

# Dummy rule to enable parallel building
infiles: $(INFILES)

build: infiles build-master build-common build-node build-plugins $(JAVA_BUILD) build-man build-confvar-substitution-stamp

build/%: %.in
	@echo "$< -> $@"
	@mkdir -p build/`dirname $<`
	@sed -e 's|@@PREFIX@@|$(PREFIX)|g' \
		-e 's|@@CONFDIR@@|$(CONFDIR)|g' \
		-e 's|@@BINDIR@@|$(BINDIR)|g' \
		-e 's|@@SBINDIR@@|$(SBINDIR)|g' \
		-e 's|@@DOCDIR@@|$(DOCDIR)|g' \
		-e 's|@@LIBDIR@@|$(LIBDIR)|g' \
		-e 's|@@MANDIR@@|$(MANDIR)|g' \
		-e 's|@@LOGDIR@@|$(LOGDIR)|g' \
		-e 's|@@HTMLDIR@@|$(HTMLDIR)|g' \
		-e 's|@@DBDIR@@|$(DBDIR)|g' \
		-e 's|@@STATEDIR@@|$(STATEDIR)|g' \
		-e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g' \
		-e 's|@@PERL@@|$(PERL)|g' \
		-e 's|@@PERLLIB@@|$(PERLLIB)|g' \
		-e 's|@@PYTHON@@|$(PYTHON)|g' \
		-e 's|@@RUBY@@|$(RUBY)|g' \
		-e 's|@@JAVARUN@@|$(JAVARUN)|g' \
		-e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g' \
		-e 's|@@OSTYPE@@|$(OSTYPE)|g' \
		-e 's|@@HOSTNAME@@|$(HOSTNAME)|g' \
		-e 's|@@MKTEMP@@|$(MKTEMP)|g' \
		-e 's|@@VERSION@@|$(VERSION)|g' \
		-e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g' \
		-e 's|@@CGIDIR@@|$(CGIDIR)|g' \
		-e 's|@@CGITMPDIR@@|$(CGITMPDIR)|g' \
		-e 's|@@USER@@|$(USER)|g' \
		-e 's|@@GROUP@@|$(GROUP)|g' \
		-e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g' \
		-e 's|@@GOODSH@@|$(GOODSH)|g' \
		-e 's|@@BASH@@|$(BASH)|g' \
		-e 's|@@HASSETR@@|$(HASSETR)|g' \
		$< > $@;


build-confvar-substitution-stamp: $(CONFVAR_SUBSTITUTION_DEP_FILES)
	$(MAKE) substitute-confvar-inline
	touch build-confvar-substitution-stamp


$(CONFVAR_SUBSTITUTION_DEP_FILES): build-master build-node build-man


# the build process depends on the substituted script (see node/Build.PL)
build-node: build/node/_bin/munin-get


substitute-confvar-inline:
	perl -p -i -e 's|\@\@PREFIX\@\@|$(PREFIX)|g;' \
		-e 's|\@\@CONFDIR\@\@|$(CONFDIR)|g;' \
		-e 's|\@\@BINDIR\@\@|$(BINDIR)|g;' \
		-e 's|\@\@SBINDIR\@\@|$(SBINDIR)|g;' \
		-e 's|\@\@DOCDIR\@\@|$(DOCDIR)|g;' \
		-e 's|\@\@LIBDIR\@\@|$(LIBDIR)|g;' \
		-e 's|\@\@MANDIR\@\@|$(MANDIR)|g;' \
		-e 's|\@\@LOGDIR\@\@|$(LOGDIR)|g;' \
		-e 's|\@\@HTMLDIR\@\@|$(HTMLDIR)|g;' \
		-e 's|\@\@DBDIR\@\@|$(DBDIR)|g;' \
		-e 's|\@\@STATEDIR\@\@|$(STATEDIR)|g;' \
		-e 's|\@\@SPOOLDIR\@\@|$(SPOOLDIR)|g;' \
		-e 's|\@\@PERL\@\@|$(PERL)|g;' \
		-e 's|\@\@PERLLIB\@\@|$(PERLLIB)|g;' \
		-e 's|\@\@PYTHON\@\@|$(PYTHON)|g;' \
		-e 's|\@\@RUBY\@\@|$(RUBY)|g;' \
		-e 's|\@\@JAVARUN\@\@|$(JAVARUN)|g;' \
		-e 's|\@\@JAVALIBDIR\@\@|$(JAVALIBDIR)|g;' \
		-e 's|\@\@OSTYPE\@\@|$(OSTYPE)|g;' \
		-e 's|\@\@HOSTNAME\@\@|$(HOSTNAME)|g;' \
		-e 's|\@\@MKTEMP\@\@|$(MKTEMP)|g;' \
		-e 's|\@\@VERSION\@\@|$(VERSION)|g;' \
		-e 's|\@\@PLUGSTATE\@\@|$(PLUGSTATE)|g;' \
		-e 's|\@\@CGIDIR\@\@|$(CGIDIR)|g;' \
		-e 's|\@\@USER\@\@|$(USER)|g;' \
		-e 's|\@\@GROUP\@\@|$(GROUP)|g;' \
		-e 's|\@\@PLUGINUSER\@\@|$(PLUGINUSER)|g;' \
		-e 's|\@\@GOODSH\@\@|$(GOODSH)|g;' \
		-e 's|\@\@BASH\@\@|$(BASH)|g;' \
		-e 's|\@\@HASSETR\@\@|$(HASSETR)|g;' \
		$(CONFVAR_SUBSTITUTION_FILES)


build-common-pre: common/Build
	cd common && $(PERL) Build code


# The target needs an update, if the latest substitution stamp is older then the generated
# Defaults.pm. This can happen, if:
#     * the generated Defaults.pm is missing
#     * or "build-common-pre" caused an update of its source file (thus regenerated Defaults.pm)
build-common-defaults-stamp: common/blib/lib/Munin/Common/Defaults.pm
	$(MAKE) substitute-build-defaults-inline
	@# We need the stamp file, due to the inline nature of this build step. Otherwise it would
	@# be run again during "install" - which would mess up the paths substituted in that step.
	touch build-common-defaults-stamp
