=== debian/changelog ===
munin (2.0.56-1ubuntu1.1) focal; urgency=medium

  * autopkgtest: Avoid remaining race with cron shutdown. (LP: #1865938)

 -- dann frazier <dannf@ubuntu.com>  Mon, 21 Nov 2022 14:30:24 -0700

munin (2.0.56-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Stop cron and clean cache before running tests, because cron can also run
      munin

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 14 Feb 2020 12:25:00 +0100

munin (2.0.56-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream bugfix release, 2.0.56.
  * Bump standards version to 4.5.0, no changes needed.

  [ Lars Kruse ]
  * New upstream bugfix release, 2.0.55.
  * Disable test of munin-node with sysvinit. Closes: #949887.

 -- Holger Levsen <holger@debian.org>  Sat, 08 Feb 2020 00:08:10 +0100

munin (2.0.54-1ubuntu2) focal; urgency=medium

  * Stop cron and clean cache before running tests, because cron can also run
    munin

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Feb 2020 19:45:12 +0100

munin (2.0.54-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
  * Dropped changes, included in Debian:
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 12:56:26 -0800

munin (2.0.54-1) unstable; urgency=medium

  * New upstream release, drop debian/patches merged upstream.


 -- Holger Levsen <holger@debian.org>  Mon, 20 Jan 2020 20:42:10 +0100

munin (2.0.52-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream version 2.0.52 introducing the new tool "munin-get" and
    fixing various issues including:
    - sensors_ plugin unable to parse millivolt (Closes: #943577)
  * Add Russian translation for debconf strings.
    (thanks, Lev Lamberov, Closes: #942638)
  * Add Portuguese translation for debconf strings.
    (thanks, Américo Monteiro, Closes: #942697)
  * Add Dutch translation for debconf strings.
    (thanks, Frans Spiesschaert, Closes: #945359)
  * Add Recommends for new "munin-get" tool.
  * Patch: fix missing "munindoc" in build process.
  * Tests: compatibility with systemd-only derivatives (Closes: #926979)
  * Tests: simplify handling of different init systems.
  * Tests: reduce environment requirements for sysvinit tests from
    "isolation-machine" to "isolation-container"
  * Mention systemd restrictions in README.PluginConfiguration.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 13:39:41 +0100

munin (2.0.51-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Oct 2019 23:54:59 -0700

munin (2.0.51-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Holger Levsen <holger@debian.org>  Sat, 19 Oct 2019 01:03:20 +0200

munin (2.0.50-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream bugfix release.
  * Bump standards version to 4.4.1, no changes needed.

  [ Lars Kruse ]
  * Add meta header and encoding to German debconf translation.
  * Add French translation for debconf strings.
    (thanks, Jean-Pierre Giraud, Closes: #939199)

 -- Holger Levsen <holger@debian.org>  Thu, 17 Oct 2019 11:18:09 +0200
