=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
Uploaders: Holger Levsen <holger@debian.org>,
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 default-jdk,
 html2text,
 htmldoc,
 libfile-slurp-perl,
 libhtml-template-perl,
 libio-stringy-perl,
 liblist-moreutils-perl,
 liblog-log4perl-perl,
 libnet-server-perl,
 libnet-snmp-perl,
 libnet-ssleay-perl,
 librrds-perl,
 libtest-deep-perl,
 libtest-differences-perl,
 libtest-exception-perl,
 libtest-longstring-perl,
 libtest-mockmodule-perl,
 libtest-mockobject-perl,
 perl,
Build-Depends:
 debhelper-compat (=12),
 libmodule-build-perl,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://munin-monitoring.org
Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
Vcs-Browser: https://salsa.debian.org/debian/munin

Package: munin-node
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 libnet-server-perl,
 lsb-base (>= 4.1),
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 netbase,
Recommends:
 gawk,
 git,
 jo,
 jq,
 man,
 munin-plugins-extra,
 perl-doc,
 procps,
Suggests:
 munin,
 munin-plugins-java,
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 acpi | lm-sensors,
 conntrack,
 default-mysql-client,
 ethtool,
 hdparm,
 libdbd-pg-perl,
 libhttp-date-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-irc-perl,
 libnet-ldap-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 libxml-simple-perl,
 libcache-cache-perl,
 libdbd-mysql-perl,
 libnet-dns-perl,
 logtail,
 net-tools,
 python3,
 ruby,
 smartmontools,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on.
 .
 Creating your own plugins which are capable of extracting other system-specific
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests:
 libcache-memcached-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libnet-snmp-perl,
 libtext-csv-xs-perl,
 libxml-libxml-perl,
 python3,
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to
 monitor Java Management Extensions (JMX).
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 cron | cron-daemon | systemd-sysv,
 fonts-dejavu-core,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 netbase,
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 liblist-moreutils-perl,
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.
