=== debian/changelog ===
munin (2.0.57-1ubuntu2) jammy; urgency=medium

  * d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
    exitnoerror and update some snmp arguments to match their correct naming.
    (LP: #1680975)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 12 Nov 2021 15:27:50 -0700

munin (2.0.57-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      * Add missing test dependency on net-tools for netstat plugin.
      * Stop cron and clean cache before running tests, because cron
        can also run munin
    - Dropped changes:
      * Run the setup again, if upgrading from 2.0.37-1
   * Disable sysv autopkgtests

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 May 2020 14:42:21 +0200

munin (2.0.57-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream release, 2.0.57, fixing the following issue:
    - munin-run: ignore DropInPaths property (Closes: #951095)
  * munin-node sysvinit: simplify detection of "pid_file" location
  * munin-node sysvinit: remove check for root user
  * munin-node sysvinit: separate code for start preparation
  * sysvinit for munin/munin-async/munin-node: use "init-d-system"
    instead of "init-functions"
  * sysvinit/systemd for munin-async/munin-node: wait for "sd_notify"
    signal
  * munin sysvinit: reduce dependencies and suggest to start before cron
    (otherwise cron could execute "munin-update" before /run/munin/ is ready)
  * d/tests: use unique names for tests with systemd and sysvinit.
    (thanks, Michael Biebl, Closes: #949889)
  * d/tests: enable test "node-sysv" again
  * d/tests (sysvinit): wait for all init scripts to be finished before
    starting any tests (Closes: #949887)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 May 2020 13:19:58 +0200
