=== debian/tests/control ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 
 # systemd
-Tests: master-cron, master-cgi
+Tests: master-cron-systemd, master-cgi-systemd
 Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, systemd-sysv
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
-Tests: master-cron, master-cgi
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron
-Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
+#Tests: master-cron-sysv, master-cgi-sysv
+#Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, #cron
+#Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
 
 
 # Tests for munin-node:
@@ -44,14 +44,12 @@
 #   * sharness: test framework
 
 # systemd
-Tests: node
+Tests: node-systemd
 Depends: munin-node, netcat-openbsd, sharness, net-tools, systemd-sysv
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
-# TODO: The test below fails due to a hanging "echo ... | nc localhost munin" after a restart of
-#       munin-node. The reason for this hanging communication is not known (it works with systemd).
-#Tests: node
+#Tests: node-sysv
 #Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core, cron
 #Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
