=== debian/changelog ===
munin (2.0.67-3) unstable; urgency=high

  * debian/munin-node.service: ensure /run/munin directory exists with the
    correct permissions. Closes: #991411 (which was introduced in 2.0.67-2 to
    address #990371)

 -- Holger Levsen <holger@debian.org>  Wed, 28 Jul 2021 18:16:53 +0200

munin (2.0.67-2) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * debian/munin-node.service: ensure /run/munin directory exists.
    Closes: #990371.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Jul 2021 14:40:08 +0200

munin (2.0.67-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release.

  [ Debian Janitor ]
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Holger Levsen <holger@debian.org>  Fri, 26 Feb 2021 13:24:19 +0100

munin (2.0.66-1) unstable; urgency=medium

  * New upstream release.
  * Add Brazilian Portuguese debconf templates translation, thanks to
    Adriano Rafael Gomes. Closes: #964892.
  * Bump standards version to 4.5.1, no changes needed.
  * d/copyright: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 23:20:37 +0100

munin (2.0.65-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Oct 2020 17:15:09 +0100

munin (2.0.64-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Sep 2020 17:18:14 +0200

munin (2.0.63-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream release, 2.0.63.
  * New upstream release, 2.0.62.
  * New upstream release, 2.0.61.
  * New upstream release, 2.0.60, fixing the following issue:
    - asterisk_* plugins: removal due to being outdated. Use the plugins
      from "contrib" repository instead (e.g. via "munin-get").
      (Closes: #713891, #806173, #934334)
  * New upstream release, 2.0.59.
  * New upstream release, 2.0.58, fixing the following issue:
    - apt_all plugin: override local apt settings that could
      interfere with the plugin operation (Closes: #761190)
    - apt_all plugin: rename state file in order to avoid confusion
      (Closes: #863231)
  * munin sysvinit: fix bash-incompatibility of init script
    (thanks, Craig Sanders, Closes: #954234)
  * munin-plugins-core: add missing "Suggests" for "nginx_status"
    (package "libwww-perl")
    (thanks, Olaf Zaplinski, Closes: #954930)
  * clean up maintainer scripts
    (quoting, whitespace, parameter handling)
  * munin-(node|common).postinst: remove redundant code
  * munin-node.postinst: remove unused conditional
  * munin-node.postinst: simplify log redirections
  * mask systemd service "munin"
    The init script only creates directories - these are handled via
    systemd-tmpfiles.
    (thanks, Andreas Henriksson)

  [ Holger Levsen ]
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 01:55:12 +0200
