=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
@@ -26,11 +25,11 @@
  libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
@@ -96,6 +95,7 @@
  libcache-cache-perl,
  libdbd-mysql-perl,
  libnet-dns-perl,
+ libwww-perl,
  logtail,
  net-tools,
  python3,
