## munin 2.0.69

=== debian/changelog ===
munin (2.0.69-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1986980). Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - Stop cron and clean cache before running tests, because cron can also run
      munin
    - Run the setup again, if upgrading from 2.0.37-1
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.
      (LP #1680975)
  * Dropped changes:
    - Run the setup again, if upgrading from 2.0.37-1
  * New Changes:
    - d/p/munin-node-configure-doc-fix.patch: Refresh patch as it was partially
      fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 18 Aug 2022 09:36:18 -0700

munin (2.0.69-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release.
  * d/copyright: update my copyright years.
  * Update standards version to 4.6.0, no changes needed.

  [ lintian-brush ]
  * Use secure URI in Homepage field.

 -- Holger Levsen <holger@debian.org>  Mon, 03 Jan 2022 12:21:59 +0100

munin (2.0.67-4) unstable; urgency=medium

  * debian/munin-node.service: use full path to /usr/bin/install as one user
    reported systemd complaining about the non absolut path on ubuntu 18.04.
    (Both variants have been tested fine on bullseye.)

 -- Holger Levsen <holger@debian.org>  Fri, 30 Jul 2021 23:45:45 +0200
