=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
@@ -29,8 +30,8 @@
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: http://munin-monitoring.org
+Standards-Version: 4.6.0
+Homepage: https://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
