## munin 2.0.71

=== debian/changelog ===
munin (2.0.71-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.

 -- dann frazier <dannf@ubuntu.com>  Mon, 21 Nov 2022 13:14:25 -0700

munin (2.0.71-2) unstable; urgency=medium

  [ dann frazier ]
  * debian/tests/munin-master/01.master-components.t: Avoid remaining race
    with cron shutdown. (MR: debian/munin!6)

 -- Holger Levsen <holger@debian.org>  Wed, 16 Nov 2022 18:08:55 +0100

munin (2.0.71-1.1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.
  * autopkgtest: Avoid remaining race with cron shutdown. (LP: #1865938)

 -- dann frazier <dannf@ubuntu.com>  Thu, 10 Nov 2022 06:41:20 -0700

munin (2.0.71-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:24:47 +0200

munin (2.0.71-1) unstable; urgency=medium

  * New upstream release. Closes: #1019343.
  * d/control:
    - drop several Breaks/Replaces: munin-doc (<< 2.0.37-3) entries as they
      were matched with the Buster release.
    - update standards version to 4.6.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 26 Sep 2022 14:44:44 +0200
