=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
@@ -56,8 +56,6 @@
 Suggests:
  munin,
  munin-plugins-java,
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -185,8 +183,6 @@
  rrdtool,
 Recommends: munin-node, munin-doc, libcgi-fast-perl
 Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (grapher/gatherer)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -211,8 +207,6 @@
 Depends: ${perl:Depends}, ${misc:Depends},
  adduser,
  liblist-moreutils-perl,
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (common)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
